Index: svn/src/drivers/i2c/adm1026/adm1026.c
===================================================================
--- svn.orig/src/drivers/i2c/adm1026/adm1026.c
+++ svn/src/drivers/i2c/adm1026/adm1026.c
@@ -44,7 +44,7 @@ static void adm1026_enable_monitoring(de
 
         result = smbus_read_byte(dev, ADM1026_REG_CONFIG1);
         if (!(result & CFG1_MONITOR)) {
-                printk(BIOS_DEBUG, "ADM1026: monitoring would not enable");
+                printk(DEBUG, "ADM1026: monitoring would not enable");
         }
 }
 static void adm1026_noop(device_t dummy)
Index: svn/src/drivers/i2c/adm1027/adm1027.c
===================================================================
--- svn.orig/src/drivers/i2c/adm1027/adm1027.c
+++ svn/src/drivers/i2c/adm1027/adm1027.c
@@ -26,7 +26,7 @@ static void adm1027_enable_monitoring(de
 	result = smbus_read_byte(dev, ADM1027_REG_CONFIG1);
 
 	if (!(result & CFG1_RDY)) {
-		printk(BIOS_DEBUG, "ADM1027: monitoring not ready\n");
+		printk(DEBUG, "ADM1027: monitoring not ready\n");
 		return;
 	}
 	result = (result | CFG1_STRT);
@@ -34,9 +34,9 @@ static void adm1027_enable_monitoring(de
 
 	result = smbus_read_byte(dev, ADM1027_REG_CONFIG1);
 	if (!(result & CFG1_STRT)) {
-		printk(BIOS_DEBUG, "ADM1027: monitoring would not enable\n");
+		printk(DEBUG, "ADM1027: monitoring would not enable\n");
 	}
-	printk(BIOS_DEBUG, "ADM1027: monitoring enabled\n");
+	printk(DEBUG, "ADM1027: monitoring enabled\n");
 }
 
 static void adm1027_init(device_t dev)
Index: svn/src/drivers/si/3114/si_sata.c
===================================================================
--- svn.orig/src/drivers/si/3114/si_sata.c
+++ svn/src/drivers/si/3114/si_sata.c
@@ -45,7 +45,7 @@ static void si_sata_init(struct device *
         	dword &= ~(1<<0);
         	pci_write_config32(dev, 0x40, dword);
 
-		printk(BIOS_DEBUG, "Class code restored.\n");
+		printk(DEBUG, "Class code restored.\n");
 
 	}
 
Index: svn/src/drivers/trident/blade3d/blade3d.c
===================================================================
--- svn.orig/src/drivers/trident/blade3d/blade3d.c
+++ svn/src/drivers/trident/blade3d/blade3d.c
@@ -777,7 +777,7 @@ static int init9880(void)
 
 	//if chip revB
 	if (CHIPREV == 0x02) {
-		printk(BIOS_DEBUG, "blade3d: chip revision B\n");
+		printk(DEBUG, "blade3d: chip revision B\n");
 		outp(Port_CRX, 0xc0);
 		outp(Port_CRX + 1, 0x00);
 	}
@@ -805,7 +805,7 @@ static void config_OEM_regs(void)
 	lpMode3_temp = &Mode3_temp[0];
 	lpInit_reg = &Init_reg[0];
 
-	printk(BIOS_DEBUG, "blade3d: config_OEM_regs()\n");
+	printk(DEBUG, "blade3d: config_OEM_regs()\n");
 	
 	outp(Port_GRX, 0x24);
 	outp(Port_GRX + 1, 0xe0);
@@ -943,13 +943,13 @@ static void init_SGRAM(void)
 		}
 
 	} else {			//SGRAM
-		printk(BIOS_DEBUG, "blade3d: No SGRAM found.\n");
+		printk(DEBUG, "blade3d: No SGRAM found.\n");
 	}
 }
 
 static void config_video_memory(void)
 {
-	printk(BIOS_DEBUG, "blade3d: Error: no video memory init\n");
+	printk(DEBUG, "blade3d: Error: no video memory init\n");
 }
 
 static void set_video_mode(void)
@@ -959,7 +959,7 @@ static void set_video_mode(void)
 	lpDef_Reg_struct lpMode3_reg;
 	lpMode3_reg = &Mode3_reg[0];
 
-	printk(BIOS_DEBUG, "blade3d: setting video mode\n");
+	printk(DEBUG, "blade3d: setting video mode\n");
 	outp(0x3c2, 0x67);
 	for (i = 0; i < Length_Mode3_reg; i++) {
 		if (lpMode3_reg[i].rPort == Port_BRX) {
@@ -982,7 +982,7 @@ static void set_video_mode(void)
 static void set_font(void)
 {
 
-	printk(BIOS_DEBUG, "blade3d: setting font (not implemented)\n");
+	printk(DEBUG, "blade3d: setting font (not implemented)\n");
 }
 
 static void clear_MEM(void)
@@ -1008,7 +1008,7 @@ static void clear_MEM(void)
 
 static void trident_blade3d_init(struct device *dev)
 {
-	printk(BIOS_INFO, "blade3d: initializing video card\n");
+	printk(INFO, "blade3d: initializing video card\n");
 	init9880();
 }
 
Index: svn/src/include/assert.h
===================================================================
--- svn.orig/src/include/assert.h
+++ svn/src/include/assert.h
@@ -48,13 +48,13 @@
 /* GCC and CAR versions */
 #define ASSERT(x) {						\
 	if (!(x)) {						\
-		printk(BIOS_ERR, "ASSERTION FAILED: file '%s', "	\
+		printk(ERROR, "ASSERTION FAILED: file '%s', "	\
 			" line %d\n", __FILE__, __LINE__);	\
 		/* die(""); */					\
 	}							\
 }
 #define BUG() {							\
-	printk(BIOS_ERR, "BUG ENCOUNTERED: SYSTEM HALTED at file '%s', "	\
+	printk(ERROR, "BUG ENCOUNTERED: SYSTEM HALTED at file '%s', "	\
 		" line %d\n", __FILE__, __LINE__);		\
 	/* die(""); */						\
 }
Index: svn/src/include/console/console.h
===================================================================
--- svn.orig/src/include/console/console.h
+++ svn/src/include/console/console.h
@@ -50,7 +50,7 @@ int do_printk(int msg_level, const char 
  * always doing a function call to do_printk with the full number of arguments.
  * Our favorite reason to do it this way was:
  *   disable_car();
- *   printk(BIOS_DEBUG, "CAR disabled\n"); // oops, garbage stack pointer
+ *   printk(DEBUG, "CAR disabled\n"); // oops, garbage stack pointer
  *   move_stack();
  * This slightly increases the code size and some unprinted strings will end
  * up in the final coreboot binary (most of them compressed). If you want to
@@ -73,40 +73,40 @@ int do_printk(int msg_level, const char 
 		if (CONFIG_MAXIMUM_CONSOLE_LOGLEVEL >= LEVEL) {	\
 			do_printk(LEVEL, fmt, ##args);		\
 		} else {					\
-			do_printk(BIOS_SPEW+1, fmt, ##args);	\
+			do_printk(SPEW+1, fmt, ##args);	\
 		}						\
 	} while(0)
 #endif
 
-#define print_err(STR)           printk(BIOS_ERR,    "%s", (STR))
-#define print_warning(STR)       printk(BIOS_WARNING,"%s", (STR))
-#define print_info(STR)          printk(BIOS_INFO,   "%s", (STR))
-#define print_debug(STR)         printk(BIOS_DEBUG,  "%s", (STR))
-#define print_spew(STR)          printk(BIOS_SPEW,   "%s", (STR))
-
-#define print_err_char(CH)       printk(BIOS_ERR,    "%c", (CH))
-#define print_warning_char(CH)   printk(BIOS_WARNING,"%c", (CH))
-#define print_info_char(CH)      printk(BIOS_INFO,   "%c", (CH))
-#define print_debug_char(CH)     printk(BIOS_DEBUG,  "%c", (CH))
-#define print_spew_char(CH)      printk(BIOS_SPEW,   "%c", (CH))
-
-#define print_err_hex8(HEX)      printk(BIOS_ERR,    "%02x",  (HEX))
-#define print_warning_hex8(HEX)  printk(BIOS_WARNING,"%02x",  (HEX))
-#define print_info_hex8(HEX)     printk(BIOS_INFO,   "%02x",  (HEX))
-#define print_debug_hex8(HEX)    printk(BIOS_DEBUG,  "%02x",  (HEX))
-#define print_spew_hex8(HEX)     printk(BIOS_SPEW,   "%02x",  (HEX))
-
-#define print_err_hex16(HEX)     printk(BIOS_ERR,    "%04x", (HEX))
-#define print_warning_hex16(HEX) printk(BIOS_WARNING,"%04x", (HEX))
-#define print_info_hex16(HEX)    printk(BIOS_INFO,   "%04x", (HEX))
-#define print_debug_hex16(HEX)   printk(BIOS_DEBUG,  "%04x", (HEX))
-#define print_spew_hex16(HEX)    printk(BIOS_SPEW,   "%04x", (HEX))
-
-#define print_err_hex32(HEX)     printk(BIOS_ERR,    "%08x", (HEX))
-#define print_warning_hex32(HEX) printk(BIOS_WARNING,"%08x", (HEX))
-#define print_info_hex32(HEX)    printk(BIOS_INFO,   "%08x", (HEX))
-#define print_debug_hex32(HEX)   printk(BIOS_DEBUG,  "%08x", (HEX))
-#define print_spew_hex32(HEX)    printk(BIOS_SPEW,   "%08x", (HEX))
+#define print_err(STR)           printk(ERROR,    "%s", (STR))
+#define print_warning(STR)       printk(WARNING,"%s", (STR))
+#define print_info(STR)          printk(INFO,   "%s", (STR))
+#define print_debug(STR)         printk(DEBUG,  "%s", (STR))
+#define print_spew(STR)          printk(SPEW,   "%s", (STR))
+
+#define print_err_char(CH)       printk(ERROR,    "%c", (CH))
+#define print_warning_char(CH)   printk(WARNING,"%c", (CH))
+#define print_info_char(CH)      printk(INFO,   "%c", (CH))
+#define print_debug_char(CH)     printk(DEBUG,  "%c", (CH))
+#define print_spew_char(CH)      printk(SPEW,   "%c", (CH))
+
+#define print_err_hex8(HEX)      printk(ERROR,    "%02x",  (HEX))
+#define print_warning_hex8(HEX)  printk(WARNING,"%02x",  (HEX))
+#define print_info_hex8(HEX)     printk(INFO,   "%02x",  (HEX))
+#define print_debug_hex8(HEX)    printk(DEBUG,  "%02x",  (HEX))
+#define print_spew_hex8(HEX)     printk(SPEW,   "%02x",  (HEX))
+
+#define print_err_hex16(HEX)     printk(ERROR,    "%04x", (HEX))
+#define print_warning_hex16(HEX) printk(WARNING,"%04x", (HEX))
+#define print_info_hex16(HEX)    printk(INFO,   "%04x", (HEX))
+#define print_debug_hex16(HEX)   printk(DEBUG,  "%04x", (HEX))
+#define print_spew_hex16(HEX)    printk(SPEW,   "%04x", (HEX))
+
+#define print_err_hex32(HEX)     printk(ERROR,    "%08x", (HEX))
+#define print_warning_hex32(HEX) printk(WARNING,"%08x", (HEX))
+#define print_info_hex32(HEX)    printk(INFO,   "%08x", (HEX))
+#define print_debug_hex32(HEX)   printk(DEBUG,  "%08x", (HEX))
+#define print_spew_hex32(HEX)    printk(SPEW,   "%08x", (HEX))
 #else
 
 
@@ -180,66 +180,66 @@ static void __console_tx_string(int logl
 #define FUNCTIONS_FOR_PRINT
 #ifdef  FUNCTIONS_FOR_PRINT
 
-static void print_err_char(unsigned char byte) { __console_tx_char(BIOS_ERR, byte); }
-static void print_err_hex8(unsigned char value) { __console_tx_hex8(BIOS_ERR, value); }
-static void print_err_hex16(unsigned short value){ __console_tx_hex16(BIOS_ERR, value); }
-static void print_err_hex32(unsigned int value) { __console_tx_hex32(BIOS_ERR, value); }
-static void print_err(const char *str) { __console_tx_string(BIOS_ERR, str); }
-
-static void print_warning_char(unsigned char byte) { __console_tx_char(BIOS_WARNING, byte); }
-static void print_warning_hex8(unsigned char value) { __console_tx_hex8(BIOS_WARNING, value); }
-static void print_warning_hex16(unsigned short value){ __console_tx_hex16(BIOS_WARNING, value); }
-static void print_warning_hex32(unsigned int value) { __console_tx_hex32(BIOS_WARNING, value); }
-static void print_warning(const char *str) { __console_tx_string(BIOS_WARNING, str); }
-
-static void print_info_char(unsigned char byte) { __console_tx_char(BIOS_INFO, byte); }
-static void print_info_hex8(unsigned char value) { __console_tx_hex8(BIOS_INFO, value); }
-static void print_info_hex16(unsigned short value){ __console_tx_hex16(BIOS_INFO, value); }
-static void print_info_hex32(unsigned int value) { __console_tx_hex32(BIOS_INFO, value); }
-static void print_info(const char *str) { __console_tx_string(BIOS_INFO, str); }
-
-static void print_debug_char(unsigned char byte) { __console_tx_char(BIOS_DEBUG, byte); }
-static void print_debug_hex8(unsigned char value) { __console_tx_hex8(BIOS_DEBUG, value); }
-static void print_debug_hex16(unsigned short value){ __console_tx_hex16(BIOS_DEBUG, value); }
-static void print_debug_hex32(unsigned int value) { __console_tx_hex32(BIOS_DEBUG, value); }
-static void print_debug(const char *str) { __console_tx_string(BIOS_DEBUG, str); }
-
-static void print_spew_char(unsigned char byte) { __console_tx_char(BIOS_SPEW, byte); }
-static void print_spew_hex8(unsigned char value) { __console_tx_hex8(BIOS_SPEW, value); }
-static void print_spew_hex16(unsigned short value){ __console_tx_hex16(BIOS_SPEW, value); }
-static void print_spew_hex32(unsigned int value) { __console_tx_hex32(BIOS_SPEW, value); }
-static void print_spew(const char *str) { __console_tx_string(BIOS_SPEW, str); }
+static void print_err_char(unsigned char byte) { __console_tx_char(ERROR, byte); }
+static void print_err_hex8(unsigned char value) { __console_tx_hex8(ERROR, value); }
+static void print_err_hex16(unsigned short value){ __console_tx_hex16(ERROR, value); }
+static void print_err_hex32(unsigned int value) { __console_tx_hex32(ERROR, value); }
+static void print_err(const char *str) { __console_tx_string(ERROR, str); }
+
+static void print_warning_char(unsigned char byte) { __console_tx_char(WARNING, byte); }
+static void print_warning_hex8(unsigned char value) { __console_tx_hex8(WARNING, value); }
+static void print_warning_hex16(unsigned short value){ __console_tx_hex16(WARNING, value); }
+static void print_warning_hex32(unsigned int value) { __console_tx_hex32(WARNING, value); }
+static void print_warning(const char *str) { __console_tx_string(WARNING, str); }
+
+static void print_info_char(unsigned char byte) { __console_tx_char(INFO, byte); }
+static void print_info_hex8(unsigned char value) { __console_tx_hex8(INFO, value); }
+static void print_info_hex16(unsigned short value){ __console_tx_hex16(INFO, value); }
+static void print_info_hex32(unsigned int value) { __console_tx_hex32(INFO, value); }
+static void print_info(const char *str) { __console_tx_string(INFO, str); }
+
+static void print_debug_char(unsigned char byte) { __console_tx_char(DEBUG, byte); }
+static void print_debug_hex8(unsigned char value) { __console_tx_hex8(DEBUG, value); }
+static void print_debug_hex16(unsigned short value){ __console_tx_hex16(DEBUG, value); }
+static void print_debug_hex32(unsigned int value) { __console_tx_hex32(DEBUG, value); }
+static void print_debug(const char *str) { __console_tx_string(DEBUG, str); }
+
+static void print_spew_char(unsigned char byte) { __console_tx_char(SPEW, byte); }
+static void print_spew_hex8(unsigned char value) { __console_tx_hex8(SPEW, value); }
+static void print_spew_hex16(unsigned short value){ __console_tx_hex16(SPEW, value); }
+static void print_spew_hex32(unsigned int value) { __console_tx_hex32(SPEW, value); }
+static void print_spew(const char *str) { __console_tx_string(SPEW, str); }
 
 #else
-#define print_err(STR)           __console_tx_string(BIOS_ERR, STR)
-#define print_warning(STR)       __console_tx_string(BIOS_WARNING, STR)
-#define print_info(STR)          __console_tx_string(BIOS_INFO, STR)
-#define print_debug(STR)         __console_tx_string(BIOS_DEBUG, STR)
-#define print_spew(STR)          __console_tx_string(BIOS_SPEW, STR)
-
-#define print_err_char(CH)       __console_tx_char(BIOS_ERR, CH)
-#define print_warning_char(CH)   __console_tx_char(BIOS_WARNING, CH)
-#define print_info_char(CH)      __console_tx_char(BIOS_INFO, CH)
-#define print_debug_char(CH)     __console_tx_char(BIOS_DEBUG, CH)
-#define print_spew_char(CH)      __console_tx_char(BIOS_SPEW, CH)
-
-#define print_err_hex8(HEX)      __console_tx_hex8(BIOS_ERR, HEX)
-#define print_warning_hex8(HEX)  __console_tx_hex8(BIOS_WARNING, HEX)
-#define print_info_hex8(HEX)     __console_tx_hex8(BIOS_INFO, HEX)
-#define print_debug_hex8(HEX)    __console_tx_hex8(BIOS_DEBUG, HEX)
-#define print_spew_hex8(HEX)     __console_tx_hex8(BIOS_SPEW, HEX)
-
-#define print_err_hex16(HEX)     __console_tx_hex16(BIOS_ERR, HEX)
-#define print_warning_hex16(HEX) __console_tx_hex16(BIOS_WARNING, HEX)
-#define print_info_hex16(HEX)    __console_tx_hex16(BIOS_INFO, HEX)
-#define print_debug_hex16(HEX)   __console_tx_hex16(BIOS_DEBUG, HEX)
-#define print_spew_hex16(HEX)    __console_tx_hex16(BIOS_SPEW, HEX)
-
-#define print_err_hex32(HEX)     __console_tx_hex32(BIOS_ERR, HEX)
-#define print_warning_hex32(HEX) __console_tx_hex32(BIOS_WARNING, HEX)
-#define print_info_hex32(HEX)    __console_tx_hex32(BIOS_INFO, HEX)
-#define print_debug_hex32(HEX)   __console_tx_hex32(BIOS_DEBUG, HEX)
-#define print_spew_hex32(HEX)    __console_tx_hex32(BIOS_SPEW, HEX)
+#define print_err(STR)           __console_tx_string(ERROR, STR)
+#define print_warning(STR)       __console_tx_string(WARNING, STR)
+#define print_info(STR)          __console_tx_string(INFO, STR)
+#define print_debug(STR)         __console_tx_string(DEBUG, STR)
+#define print_spew(STR)          __console_tx_string(SPEW, STR)
+
+#define print_err_char(CH)       __console_tx_char(ERROR, CH)
+#define print_warning_char(CH)   __console_tx_char(WARNING, CH)
+#define print_info_char(CH)      __console_tx_char(INFO, CH)
+#define print_debug_char(CH)     __console_tx_char(DEBUG, CH)
+#define print_spew_char(CH)      __console_tx_char(SPEW, CH)
+
+#define print_err_hex8(HEX)      __console_tx_hex8(ERROR, HEX)
+#define print_warning_hex8(HEX)  __console_tx_hex8(WARNING, HEX)
+#define print_info_hex8(HEX)     __console_tx_hex8(INFO, HEX)
+#define print_debug_hex8(HEX)    __console_tx_hex8(DEBUG, HEX)
+#define print_spew_hex8(HEX)     __console_tx_hex8(SPEW, HEX)
+
+#define print_err_hex16(HEX)     __console_tx_hex16(ERROR, HEX)
+#define print_warning_hex16(HEX) __console_tx_hex16(WARNING, HEX)
+#define print_info_hex16(HEX)    __console_tx_hex16(INFO, HEX)
+#define print_debug_hex16(HEX)   __console_tx_hex16(DEBUG, HEX)
+#define print_spew_hex16(HEX)    __console_tx_hex16(SPEW, HEX)
+
+#define print_err_hex32(HEX)     __console_tx_hex32(ERROR, HEX)
+#define print_warning_hex32(HEX) __console_tx_hex32(WARNING, HEX)
+#define print_info_hex32(HEX)    __console_tx_hex32(INFO, HEX)
+#define print_debug_hex32(HEX)   __console_tx_hex32(DEBUG, HEX)
+#define print_spew_hex32(HEX)    __console_tx_hex32(SPEW, HEX)
 #endif
 
 #endif
Index: svn/src/include/console/loglevel.h
===================================================================
--- svn.orig/src/include/console/loglevel.h
+++ svn/src/include/console/loglevel.h
@@ -2,10 +2,10 @@
 #define LOGLEVEL_H
 
 /* Safe for inclusion in assembly */
-#define BIOS_ERR        3   /* error conditions                     */
-#define BIOS_WARNING    4   /* warning conditions                   */
-#define BIOS_INFO       6   /* informational                        */
-#define BIOS_DEBUG      7   /* debug-level messages                 */
-#define BIOS_SPEW       8   /* way too many details                 */
+#define ERROR        3   /* error conditions                     */
+#define WARNING    4   /* warning conditions                   */
+#define INFO       6   /* informational                        */
+#define DEBUG      7   /* debug-level messages                 */
+#define SPEW       8   /* way too many details                 */
 
 #endif /* LOGLEVEL_H */
Index: svn/src/include/cpu/x86/bist.h
===================================================================
--- svn.orig/src/include/cpu/x86/bist.h
+++ svn/src/include/cpu/x86/bist.h
@@ -5,7 +5,7 @@ static void report_bist_failure(u32 bist
 {
 	if (bist != 0) {
 #if CONFIG_USE_PRINTK_IN_CAR
-                printk(BIOS_ERR, "BIST failed: %08x", bist);
+                printk(ERROR, "BIST failed: %08x", bist);
 #else
 		print_err("BIST failed: ");
 		print_err(bist);
Index: svn/src/lib/cbfs.c
===================================================================
--- svn.orig/src/lib/cbfs.c
+++ svn/src/lib/cbfs.c
@@ -42,13 +42,13 @@ static int cbfs_decompress(int algo, voi
 
 	case CBFS_COMPRESS_LZMA:
 		if (!ulzma(src, dst)) {
-			printk(BIOS_ERR, "CBFS: LZMA decompression failed!\n");
+			printk(ERROR, "CBFS: LZMA decompression failed!\n");
 			return -1;
 		}
 		return 0;
 
 	default:
-		printk(BIOS_INFO,  "CBFS:  Unknown compression type %d\n", algo);
+		printk(INFO,  "CBFS:  Unknown compression type %d\n", algo);
 		return -1;
 	}
 }
@@ -63,20 +63,20 @@ static struct cbfs_header *cbfs_master_h
 	struct cbfs_header *header;
 
 	void *ptr = (void *)*((unsigned long *) CBFS_HEADPTR_ADDR);
-	printk(BIOS_SPEW, "Check CBFS header at %p\n", ptr);
+	printk(SPEW, "Check CBFS header at %p\n", ptr);
 	header = (struct cbfs_header *) ptr;
 
-	printk(BIOS_SPEW, "magic is %08x\n", ntohl(header->magic));
+	printk(SPEW, "magic is %08x\n", ntohl(header->magic));
 	if (ntohl(header->magic) != CBFS_HEADER_MAGIC) {
-		printk(BIOS_ERR, "ERROR: No valid CBFS header found!\n");
+		printk(ERROR, "ERROR: No valid CBFS header found!\n");
 		if (header->magic == 0xffffffff) {
-			printk(BIOS_ERR, "Maybe the ROM isn't entirely mapped yet?\n"
+			printk(ERROR, "Maybe the ROM isn't entirely mapped yet?\n"
 				"See (and report to) http://www.coreboot.org/Infrastructure_Projects#CBFS\n");
 		}
 		return NULL;
 	}
 
-	printk(BIOS_SPEW, "Found CBFS header at %p\n", ptr);
+	printk(SPEW, "Found CBFS header at %p\n", ptr);
 	return header;
 }
 
@@ -94,17 +94,17 @@ struct cbfs_file *cbfs_find(const char *
 	while(1) {
 		struct cbfs_file *file = (struct cbfs_file *) offset;
 		if (!cbfs_check_magic(file)) return NULL;
-		printk(BIOS_SPEW, "Check %s\n", CBFS_NAME(file));
+		printk(SPEW, "Check %s\n", CBFS_NAME(file));
 		if (!strcmp(CBFS_NAME(file), name))
 			return file;
 
 		int flen = ntohl(file->len);
 		int foffset = ntohl(file->offset);
-		printk(BIOS_SPEW, "CBFS: follow chain: %p + %x + %x + align -> ", (void *)offset, foffset, flen);
+		printk(SPEW, "CBFS: follow chain: %p + %x + %x + align -> ", (void *)offset, foffset, flen);
 
 		unsigned long oldoffset = offset;
 		offset = ALIGN(offset + foffset + flen, align);
-		printk(BIOS_SPEW, "%p\n", (void *)offset);
+		printk(SPEW, "%p\n", (void *)offset);
 		if (offset <= oldoffset) return NULL;
 
 		if (offset < 0xFFFFFFFF - ntohl(header->romsize))
@@ -117,13 +117,13 @@ void *cbfs_find_file(const char *name, i
 	struct cbfs_file *file = cbfs_find(name);
 
 	if (file == NULL) {
-		printk(BIOS_INFO,  "CBFS:  Could not find file %s\n",
+		printk(INFO,  "CBFS:  Could not find file %s\n",
 		       name);
 		return NULL;
 	}
 
 	if (ntohl(file->type) != type) {
-		printk(BIOS_INFO,  "CBFS:  File %s is of type %x instead of"
+		printk(INFO,  "CBFS:  File %s is of type %x instead of"
 		       "type %x\n", name, file->type, type);
 
 		return NULL;
@@ -193,7 +193,7 @@ void * cbfs_load_stage(const char *name)
 	if (stage == NULL)
 		return (void *) -1;
 
-	printk(BIOS_INFO, "Stage: loading %s @ 0x%x (%d bytes), entry @ 0x%llx\n", 
+	printk(INFO, "Stage: loading %s @ 0x%x (%d bytes), entry @ 0x%llx\n",
 			name,
 			(u32) stage->load, stage->memlen, 
 			stage->entry);
@@ -206,7 +206,7 @@ void * cbfs_load_stage(const char *name)
 			     stage->len))
 		return (void *) -1;
 
-	printk(BIOS_DEBUG, "Stage: done loading.\n");
+	printk(DEBUG, "Stage: done loading.\n");
 
 	entry = stage->entry;
 	// entry = ntohl((u32) stage->entry);
@@ -223,13 +223,13 @@ int cbfs_execute_stage(const char *name)
 		return 1;
 
 	if (ntohl(stage->compression) != CBFS_COMPRESS_NONE) {
-		printk(BIOS_INFO,  "CBFS:  Unable to run %s:  Compressed file"
+		printk(INFO,  "CBFS:  Unable to run %s:  Compressed file"
 		       "Not supported for in-place execution\n", name);
 		return 1;
 	}
 
 	/* FIXME: This isn't right */
-	printk(BIOS_INFO,  "CBFS: run @ %p\n", (void *) ntohl((u32) stage->entry));
+	printk(INFO,  "CBFS: run @ %p\n", (void *) ntohl((u32) stage->entry));
 	return run_address((void *) ntohl((u32) stage->entry));
 }
 
Index: svn/src/lib/cbmem.c
===================================================================
--- svn.orig/src/lib/cbmem.c
+++ svn/src/lib/cbmem.c
@@ -23,7 +23,7 @@
 #include <console/console.h>
 
 #if 1
-#define debug(x...) printk(BIOS_DEBUG, x)
+#define debug(x...) printk(DEBUG, x)
 #else
 #define debug(x...)
 #endif
@@ -109,13 +109,13 @@ void *cbmem_add(u32 id, u64 size)
 	}
 
 	if (cbmem_toc[0].magic != CBMEM_MAGIC) {
-		printk(BIOS_ERR, "ERROR: CBMEM was not initialized yet.\n");
+		printk(ERROR, "ERROR: CBMEM was not initialized yet.\n");
 		return NULL;
 	}
 
 	/* Will the entry fit at all? */
 	if (size > cbmem_toc[0].size) {
-		printk(BIOS_ERR, "ERROR: Not enough memory for table %x\n", id);
+		printk(ERROR, "ERROR: Not enough memory for table %x\n", id);
 		return NULL;
 	}
 
@@ -131,7 +131,7 @@ void *cbmem_add(u32 id, u64 size)
 	}
 
 	if (i >= MAX_CBMEM_ENTRIES) {
-		printk(BIOS_ERR, "ERROR: No more CBMEM entries available.\n");
+		printk(ERROR, "ERROR: No more CBMEM entries available.\n");
 		return NULL;
 	}
 
@@ -205,19 +205,19 @@ void cbmem_list(void)
 
 		if (cbmem_toc[i].magic != CBMEM_MAGIC)
 			continue;
-		printk(BIOS_DEBUG, "%2d. ", i);
+		printk(DEBUG, "%2d. ", i);
 		switch (cbmem_toc[i].id) {
-		case CBMEM_ID_FREESPACE: printk(BIOS_DEBUG, "FREE SPACE "); break;
-		case CBMEM_ID_GDT:	 printk(BIOS_DEBUG, "GDT        "); break;
-		case CBMEM_ID_ACPI:	 printk(BIOS_DEBUG, "ACPI       "); break;
-		case CBMEM_ID_CBTABLE:	 printk(BIOS_DEBUG, "COREBOOT   "); break;
-		case CBMEM_ID_PIRQ:	 printk(BIOS_DEBUG, "IRQ TABLE  "); break;
-		case CBMEM_ID_MPTABLE:	 printk(BIOS_DEBUG, "SMP TABLE  "); break;
-		case CBMEM_ID_RESUME:	 printk(BIOS_DEBUG, "ACPI RESUME"); break;
-		default: printk(BIOS_DEBUG, "%08x ", cbmem_toc[i].id);
+		case CBMEM_ID_FREESPACE: printk(DEBUG, "FREE SPACE "); break;
+		case CBMEM_ID_GDT:	 printk(DEBUG, "GDT        "); break;
+		case CBMEM_ID_ACPI:	 printk(DEBUG, "ACPI       "); break;
+		case CBMEM_ID_CBTABLE:	 printk(DEBUG, "COREBOOT   "); break;
+		case CBMEM_ID_PIRQ:	 printk(DEBUG, "IRQ TABLE  "); break;
+		case CBMEM_ID_MPTABLE:	 printk(DEBUG, "SMP TABLE  "); break;
+		case CBMEM_ID_RESUME:	 printk(DEBUG, "ACPI RESUME"); break;
+		default: printk(DEBUG, "%08x ", cbmem_toc[i].id);
 		}
-		printk(BIOS_DEBUG, "%08llx ", cbmem_toc[i].base);
-		printk(BIOS_DEBUG, "%08llx\n", cbmem_toc[i].size);
+		printk(DEBUG, "%08llx ", cbmem_toc[i].base);
+		printk(DEBUG, "%08llx\n", cbmem_toc[i].size);
 	}
 }
 #endif
Index: svn/src/lib/clog2.c
===================================================================
--- svn.orig/src/lib/clog2.c
+++ svn/src/lib/clog2.c
@@ -17,7 +17,7 @@ unsigned long log2(unsigned long x)
 
         if (! x) {
 #ifdef DEBUG_LOG2
-                printk(BIOS_WARNING, "%s called with invalid parameter of 0\n",
+                printk(WARNING, "%s called with invalid parameter of 0\n",
 			__func__);
 #endif
                 return -1;
Index: svn/src/lib/generic_dump_spd.c
===================================================================
--- svn.orig/src/lib/generic_dump_spd.c
+++ svn/src/lib/generic_dump_spd.c
@@ -69,25 +69,25 @@ void dump_spd_registers(void)
 {
 	unsigned device;
 	device = SMBUS_MEM_DEVICE_START;
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 	while(device <= SMBUS_MEM_DEVICE_END) {
 		int status = 0;
 		int i;
-		printk(BIOS_DEBUG, "dimm %02x", device);
+		printk(DEBUG, "dimm %02x", device);
 		for(i = 0; (i < 256) && (status == 0); i++) {
 			unsigned char byte;
 			if ((i % 20) == 0) {
-				printk(BIOS_DEBUG, "\n%3d: ", i);
+				printk(DEBUG, "\n%3d: ", i);
 			}
 			status = smbus_read_byte(device, i, &byte);
 			if (status != 0) {
-				printk(BIOS_DEBUG, "bad device\n");
+				printk(DEBUG, "bad device\n");
 				continue;
 			}
-			printk(BIOS_DEBUG, "%02x ", byte);
+			printk(DEBUG, "%02x ", byte);
 		}
 		device += SMBUS_MEM_DEVICE_INC;
-		printk(BIOS_DEBUG, "\n");
+		printk(DEBUG, "\n");
 	}
 }
 #endif
Index: svn/src/lib/generic_sdram.c
===================================================================
--- svn.orig/src/lib/generic_sdram.c
+++ svn/src/lib/generic_sdram.c
@@ -7,7 +7,7 @@
 static inline void print_debug_sdram_8(const char *strval, uint32_t val)
 {
 #if CONFIG_USE_PRINTK_IN_CAR
-        printk(BIOS_DEBUG, "%s%02x\n", strval, val);
+        printk(DEBUG, "%s%02x\n", strval, val);
 #else
         print_debug(strval); print_debug_hex8(val); print_debug("\n");
 #endif
Index: svn/src/lib/lzma.c
===================================================================
--- svn.orig/src/lib/lzma.c
+++ svn/src/lib/lzma.c
@@ -29,19 +29,19 @@ unsigned long ulzma(unsigned char * src,
 	memcpy(properties, src, LZMA_PROPERTIES_SIZE);
 	outSize = *(UInt32 *)(src + LZMA_PROPERTIES_SIZE);
 	if (LzmaDecodeProperties(&state.Properties, properties, LZMA_PROPERTIES_SIZE) != LZMA_RESULT_OK) {
-		printk(BIOS_WARNING, "lzma: Incorrect stream properties.\n");
+		printk(WARNING, "lzma: Incorrect stream properties.\n");
 		return 0;
 	}
 	mallocneeds = (LzmaGetNumProbs(&state.Properties) * sizeof(CProb));
 	if (mallocneeds > 15980) {
-		printk(BIOS_WARNING, "lzma: Decoder scratchpad too small!\n");
+		printk(WARNING, "lzma: Decoder scratchpad too small!\n");
 		return 0;
 	}
 	state.Probs = (CProb *)scratchpad;
 	res = LzmaDecode(&state, src + LZMA_PROPERTIES_SIZE + 8, (SizeT)0xffffffff, &inProcessed,
 		dst, outSize, &outProcessed);
 	if (res != 0) {
-		printk(BIOS_WARNING, "lzma: Decoding error = %d\n", res);
+		printk(WARNING, "lzma: Decoding error = %d\n", res);
 		return 0;
 	}
 	return outSize;
Index: svn/src/lib/malloc.c
===================================================================
--- svn.orig/src/lib/malloc.c
+++ svn/src/lib/malloc.c
@@ -4,7 +4,7 @@
 #if 0
 #define MALLOCDBG(x)
 #else
-#define MALLOCDBG(x...) printk(BIOS_SPEW, x)
+#define MALLOCDBG(x...) printk(SPEW, x)
 #endif
 extern unsigned char _heap, _eheap;
 static void *free_mem_ptr = &_heap;		/* Start of heap */
Index: svn/src/lib/ramtest.c
===================================================================
--- svn.orig/src/lib/ramtest.c
+++ svn/src/lib/ramtest.c
@@ -52,7 +52,7 @@ static void ram_fill(unsigned long start
 	 * Fill.
 	 */
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk(BIOS_DEBUG, "DRAM fill: 0x%08lx-0x%08lx\n", start, stop);
+	printk(DEBUG, "DRAM fill: 0x%08lx-0x%08lx\n", start, stop);
 #else
 	print_debug("DRAM fill: ");
 	print_debug_hex32(start);
@@ -64,7 +64,7 @@ static void ram_fill(unsigned long start
 		/* Display address being filled */
 		if (!(addr & 0xfffff)) {
 #if CONFIG_USE_PRINTK_IN_CAR
-			printk(BIOS_DEBUG, "%08lx \r", addr);
+			printk(DEBUG, "%08lx \r", addr);
 #else
 			print_debug_hex32(addr);
 			print_debug(" \r");
@@ -74,7 +74,7 @@ static void ram_fill(unsigned long start
 	};
 	/* Display final address */
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk(BIOS_DEBUG, "%08lx\nDRAM filled\n", addr);
+	printk(DEBUG, "%08lx\nDRAM filled\n", addr);
 #else
 	print_debug_hex32(addr);
 	print_debug("\nDRAM filled\n");
@@ -89,7 +89,7 @@ static void ram_verify(unsigned long sta
 	 * Verify.
 	 */
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk(BIOS_DEBUG, "DRAM verify: 0x%08lx-0x%08lx\n", start, stop);
+	printk(DEBUG, "DRAM verify: 0x%08lx-0x%08lx\n", start, stop);
 #else
 	print_debug("DRAM verify: ");
 	print_debug_hex32(start);
@@ -102,7 +102,7 @@ static void ram_verify(unsigned long sta
 		/* Display address being tested */
 		if (!(addr & 0xfffff)) {
 #if CONFIG_USE_PRINTK_IN_CAR
-			printk(BIOS_DEBUG, "%08lx \r", addr);
+			printk(DEBUG, "%08lx \r", addr);
 #else
 			print_debug_hex32(addr);
 			print_debug(" \r");
@@ -112,7 +112,7 @@ static void ram_verify(unsigned long sta
 		if (value != addr) {
 			/* Display address with error */
 #if CONFIG_USE_PRINTK_IN_CAR
-			printk(BIOS_ERR, "Fail: @0x%08lx Read value=0x%08lx\n", addr, value);
+			printk(ERROR, "Fail: @0x%08lx Read value=0x%08lx\n", addr, value);
 #else
 			print_err("Fail: @0x");
 			print_err_hex32(addr);
@@ -123,7 +123,7 @@ static void ram_verify(unsigned long sta
 			i++;
 			if(i>256) {
 #if CONFIG_USE_PRINTK_IN_CAR
-				printk(BIOS_DEBUG, "Aborting.\n");
+				printk(DEBUG, "Aborting.\n");
 #else
 				print_debug("Aborting.\n");
 #endif
@@ -133,14 +133,14 @@ static void ram_verify(unsigned long sta
 	}
 	/* Display final address */
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk(BIOS_DEBUG, "%08lx", addr);
+	printk(DEBUG, "%08lx", addr);
 #else
 	print_debug_hex32(addr);
 #endif
 
 	if (i) {
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk(BIOS_DEBUG, "\nDRAM did _NOT_ verify!\n");
+		printk(DEBUG, "\nDRAM did _NOT_ verify!\n");
 #else
 		print_debug("\nDRAM did _NOT_ verify!\n");
 #endif
@@ -148,7 +148,7 @@ static void ram_verify(unsigned long sta
 	}
 	else {
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk(BIOS_DEBUG, "\nDRAM range verified.\n");
+		printk(DEBUG, "\nDRAM range verified.\n");
 #else
 		print_debug("\nDRAM range verified.\n");
 #endif
@@ -164,7 +164,7 @@ void ram_check(unsigned long start, unsi
 	 * are tested.   -Tyson
 	 */
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk(BIOS_DEBUG, "Testing DRAM : %08lx - %08lx\n", start, stop);
+	printk(DEBUG, "Testing DRAM : %08lx - %08lx\n", start, stop);
 #else
 	print_debug("Testing DRAM : ");
 	print_debug_hex32(start);
@@ -177,7 +177,7 @@ void ram_check(unsigned long start, unsi
 	phys_memory_barrier();
 	ram_verify(start, stop);
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk(BIOS_DEBUG, "Done.\n");
+	printk(DEBUG, "Done.\n");
 #else
 	print_debug("Done.\n");
 #endif
